=== requirements.txt ===
redis>=2.10.2
