=== debian/changelog ===
redis-py-cluster (1.3.3-1) unstable; urgency=medium

  * Initial release. (Closes: #851255)

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 13 Jan 2017 15:51:41 +0100
