=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=rediscluster

# tests need setting up redis: disable
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs build/html
