## redis-py-cluster 2.0.0

=== Makefile ===
--- 
+++ 
@@ -216,7 +216,7 @@
 endif
 
 ifndef REDIS_VERSION
-	REDIS_VERSION=3.0.7
+	REDIS_VERSION=5.0.5
 endif
 
 export REDIS_CLUSTER_NODE1_CONF
@@ -378,12 +378,12 @@
 
 benchmark:
 	@echo ""
-	@echo " -- Running Simple benchmark with StrictRedis lib and non cluster server --"
+	@echo " -- Running Simple benchmark with Redis lib and non cluster server --"
 	python benchmarks/simple.py --port 7007 --timeit --nocluster
 	@echo ""
-	@echo " -- Running Simple benchmark with StrictRedisCluster lib and cluster server --"
+	@echo " -- Running Simple benchmark with RedisCluster lib and cluster server --"
 	python benchmarks/simple.py --port 7001 --timeit
 	@echo ""
-	@echo " -- Running Simple benchmark with pipelines & StrictRedis lib and non cluster server --"
+	@echo " -- Running Simple benchmark with pipelines & Redis lib and non cluster server --"
 	python benchmarks/simple.py --port 7007 --timeit --pipeline --nocluster
 	@echo ""
