=== requirements.txt ===
redis>=3.0.0,<3.1.0
