=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%redis-py-cluster-$1.tar.gz%" \
             https://github.com/Grokzen/redis-py-cluster/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
